=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

CMAKE=cmake
TMP=$(CURDIR)/debian/tmp/

feature_set="community"
major_version=31
minor_version=1
compilation_comment_release="Percona XtraDB Cluster (GPL)"
server_suffix="-55"
prefix="/usr"

clean: clean-patched unpatch

clean-patched:
	dh clean
	rm -rf CMakeFiles

override_dh_auto_configure: patch
ifeq ($(SKIP_DEBUG_BINARY),)
	# Make a debug binary
	mkdir debug
	cd debug && \
	$(CMAKE) ../ -DBUILD_CONFIG=mysql_release \
	   -DINSTALL_LAYOUT=DEB \
	   -DCMAKE_BUILD_TYPE=Debug \
	   -DWITH_SSL=system \
	   -DWITH_EMBEDDED_SERVER=OFF \
	   -DWITH_INNODB_DISALLOW_WRITES=ON \
	   -DWITH_WSREP=ON \
	   -DMYSQL_UNIX_ADDR="/var/run/mysqld/mysqld.sock" \
	   -DFEATURE_SET=$(feature_set) \
	   -DCOMPILATION_COMMENT=$(compilation_comment_debug) \
	   -DMYSQL_SERVER_SUFFIX=$(server_suffix) \
	   -DWITH_PAM=ON
endif

	mkdir release
	cd release && $(CMAKE) ../ -DBUILD_CONFIG=mysql_release \
	   -DINSTALL_LAYOUT=DEB \
	   -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	   -DWITH_SSL=system \
	   -DWITH_EMBEDDED_SERVER=OFF \
	   -DWITH_INNODB_DISALLOW_WRITES=ON \
	   -DWITH_WSREP=ON \
	   -DMYSQL_UNIX_ADDR="/var/run/mysqld/mysqld.sock" \
	   -DFEATURE_SET=$(feature_set) \
	   -DCOMPILATION_COMMENT=$(compilation_comment_release) \
	   -DMYSQL_SERVER_SUFFIX=$(server_suffix) \
	   -DWITH_PAM=ON

override_dh_auto_build:
ifeq ($(SKIP_DEBUG_BINARY),)
	cd debug && make $(MAKE_JFLAG)
endif

	cd release && make $(MAKE_JFLAG)
	
	# Build HandlerSocket
	echo "Configuring HandlerSocket"
	cd storage/HandlerSocket-Plugin-for-MySQL && \
	bash -x autogen.sh && \
	CXX="$${HS_CXX:-g++}" CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/release/include" \
		./configure --with-mysql-source=$(CURDIR) \
			--with-mysql-bindir=$(CURDIR)/release/scripts \
			--with-mysql-plugindir=$(prefix)/lib/mysql/plugin \
			--libdir=$(prefix)/lib \
			--prefix=$(prefix) && \
	make $(MAKE_JFLAG)
	
	# Build UDF
	cd UDF && \
	CXX="$${UDF_CXX:-g++}" CXXFLAGS="$(CXXFLAGS) -I$(CURDIR)/release/include" \
		./configure --includedir=$(CURDIR)/include \
			--libdir=$(prefix)/lib/mysql/plugin && \
	make $(MAKE_JFLAG)
	
build:
	dh build

binary:
	dh -Brelease binary

binary-arch:
	dh -Brelease binary-arch

binary-indep:
	dh -Brelease binary-indep

install:
	dh install

override_dh_auto_install:
	dh_auto_install
	cd storage/HandlerSocket-Plugin-for-MySQL && make DESTDIR=$(TMP) install
	cd UDF && make DESTDIR=$(TMP) install

override_dh_installinit:
	dh_installinit --name=mysql --error-handler=:

override_dh_strip:
	dh_strip --dbg-package=percona-xtradb-cluster-5.5-dbg
